Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026388
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsminoralways2014-04-25 14:092014-07-08 09:51
ReporteremartinezView Statuspublic 
Assigned Tomalsasua 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toszapata
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026388: "Discounts and Promotions" tab in Sales Order not visible

DescriptionWhen applying a discount or promotion from Web POS, if you navigate to the sales order created in the ERP, the Discount and Promotions tab is not shown.
Steps To Reproduce1) Log into Web POS and apply an automatic or discretionary discount
2) Pay it and close the ticket
3) Go to the backoffice, Sales Order window, and look for that receipt
4) See that values are all correct, but you can't find the tab Discount and Promotions
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026411 acknowledgedplatform Openbravo ERP the order that the templates are executed in install.source process is wrong 

-  Notes
(0067971)
szapata (developer)
2014-06-13 02:08

Fixed in discounts and promotions refactor:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/ff64aefab4b0 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discount.twofamiliescombo/rev/d43ee774a1f9 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/1e01ecaeb173 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f5788530eeaa [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/63677c668ec4 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9331fb870d05 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d6523278b94a [^]

- Issue History
Date Modified Username Field Change
2014-04-25 14:09 emartinez New Issue
2014-04-25 14:09 emartinez Assigned To => malsasua
2014-04-25 14:09 emartinez Triggers an Emergency Pack => No
2014-04-29 09:19 malsasua Relationship added related to 0026411
2014-04-29 09:27 malsasua Target Version RR14Q2 => RR14Q3
2014-06-13 02:08 szapata Status new => scheduled
2014-06-13 02:08 szapata fix_in_branch => pi
2014-06-13 02:08 szapata Note Added: 0067971
2014-06-13 02:08 szapata Status scheduled => resolved
2014-06-13 02:08 szapata Resolution open => fixed
2014-06-13 02:09 szapata Review Assigned To => szapata
2014-06-13 02:09 szapata Status resolved => closed
2014-07-08 09:51 mtaal fix_in_branch pi =>
2014-07-08 09:51 mtaal Summary [RR14Q2] "Discounts and Promotions" tab in Sales Order not visible => "Discounts and Promotions" tab in Sales Order not visible


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker